Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.core.util
Class AuditEventDispatcher.RegisteredAuditSpecification

    java.lang.Object
      oracle.ifs.core.util.AuditEventDispatcher.RegisteredAuditSpecification

Direct Known Subclasses:
  AuditEventDispatcher.RegisteredGlobalAuditSpecification, AuditEventDispatcher.RegisteredObjectAuditSpecification

Enclosing class:
  AuditEventDispatcher

    public class AuditEventDispatcher.RegisteredAuditSpecification

extends java.lang.Object

A RegisteredAuditSpecification holds information about a registered AuditSpecification.

Constructor Summary
`AuditEventDispatcher.RegisteredAuditSpecification(LibrarySession session, AuditSpecification auditSpec)` Constructs a RegisteredAuditSpecification.

Method Summary
`protected java.lang.String` | `getAuditEventPropertyTableName()` Gets the event property table name used by this registered AuditSpecification if a private event property table name is in use.
`protected java.lang.String` | `getAuditEventTableName()` Gets the event table name used by this registered AuditSpecification.
`protected AuditSpecification` | `getAuditSpecification(LibrarySession session)` Get the AuditSpecification instance represented by this.
`protected java.lang.Long` | `getAuditSpecificationId()` Gets the AuditSpecification ID.
`protected long` | `getMinimumEventId()` Gets the minimum Raw Audit Event encountered.
`void` | `initialize(LibrarySession session)` Initializes a RegisteredAuditSpecification.
`void` | `initialize(LibrarySession session, AuditSpecification spec)` Initializes a RegisteredAuditSpecification.
`protected boolean` | `isAuditSpecificationActive()` Returns indication as to whether the AuditSpecification is active.
`protected boolean` | `isEventApplicable(LibrarySession session, RawAuditEvent rawEvent)` Is the specified AuditEvent applicable to this AuditSpecification?
`protected boolean` | `isHandlerNotifiedWhenEventsPosted()` Should handler get notified when events are posted?
`protected boolean` | `isPendingAuditEventDispatchRequests()` Are there AuditEventDispatchRequests pending?
`protected void` | `setMinimumEventId(long eventId)` Sets the minimum Raw Audit Event encountered.
`protected void` | `setPendingAuditEventDispatchRequests(boolean value)` Sets whether there are any pending AuditEventDispatchRequests.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditEventDispatcher.RegisteredAuditSpecification

    public AuditEventDispatcher.RegisteredAuditSpecification(LibrarySession session,
                                                             AuditSpecification auditSpec)
                                                      throws IfsException

  Constructs a RegisteredAuditSpecification.

  Parameters:
    `session` - the posted audit event
    `auditSpec` - the AuditSpecification
  Throws:
    `IfsException` - if the operation fails

Method Detail

### initialize

    public void initialize(LibrarySession session)
                    throws IfsException

  Description copied from class: `AuditEventDispatcher.RegisteredAuditSpecification`
  Initializes a RegisteredAuditSpecification.

  Parameters:
    `session` - the posted audit event
  Throws:
    `IfsException` - if the operation fails

### initialize

    public void initialize(LibrarySession session,
                           AuditSpecification spec)
                    throws IfsException

  Description copied from class: `AuditEventDispatcher.RegisteredAuditSpecification`
  Initializes a RegisteredAuditSpecification.

  Parameters:
    `session` - the posted audit event
    `spec` - the AuditSpecification
  Throws:
    `IfsException` - if the operation fails

### getAuditSpecificationId

    protected java.lang.Long getAuditSpecificationId()

  Description copied from class: `AuditEventDispatcher.RegisteredAuditSpecification`
  Gets the AuditSpecification ID.

  Returns:
    the AuditSpecification ID

### getAuditEventTableName

    protected java.lang.String getAuditEventTableName()

  Description copied from class: `AuditEventDispatcher.RegisteredAuditSpecification`
  Gets the event table name used by this registered AuditSpecification.

  Returns:
    the event table name

### getAuditEventPropertyTableName

    protected java.lang.String getAuditEventPropertyTableName()

  Description copied from class: `AuditEventDispatcher.RegisteredAuditSpecification`
  Gets the event property table name used by this registered AuditSpecification if a private event property table name is in use.

  Returns:
    the event property table name, or null if the standard property table name is used

### isAuditSpecificationActive

    protected boolean isAuditSpecificationActive()

  Description copied from class: `AuditEventDispatcher.RegisteredAuditSpecification`
  Returns indication as to whether the AuditSpecification is active.

  Returns:
    true if the AuditSpecification is active; false otherwise

### isPendingAuditEventDispatchRequests

    protected boolean isPendingAuditEventDispatchRequests()

  Description copied from class: `AuditEventDispatcher.RegisteredAuditSpecification`
  Are there AuditEventDispatchRequests pending?

  Returns:
    true if there are pending requests; false otherwise

### setPendingAuditEventDispatchRequests

    protected void setPendingAuditEventDispatchRequests(boolean value)

  Description copied from class: `AuditEventDispatcher.RegisteredAuditSpecification`
  Sets whether there are any pending AuditEventDispatchRequests.

  Parameters:
    `value` - whether there are pending requests

### getMinimumEventId

    protected long getMinimumEventId()

  Description copied from class: `AuditEventDispatcher.RegisteredAuditSpecification`
  Gets the minimum Raw Audit Event encountered.

  Returns:
    minimum raw event ID

### setMinimumEventId

    protected void setMinimumEventId(long eventId)

  Description copied from class: `AuditEventDispatcher.RegisteredAuditSpecification`
  Sets the minimum Raw Audit Event encountered.

  Updates the internal value if it is less than the value specified in this call.

  Parameters:
    `eventId` - raw event ID

### isHandlerNotifiedWhenEventsPosted

    protected boolean isHandlerNotifiedWhenEventsPosted()

  Description copied from class: `AuditEventDispatcher.RegisteredAuditSpecification`
  Should handler get notified when events are posted?

  Returns:
    true if there are pending requests; false otherwise

### isEventApplicable

    protected boolean isEventApplicable(LibrarySession session,
                                        RawAuditEvent rawEvent)

  Description copied from class: `AuditEventDispatcher.RegisteredAuditSpecification`
  Is the specified AuditEvent applicable to this AuditSpecification?

  Parameters:
    `session` - the session context
    `rawEvent` - the raw event to check
  Returns:
    true if the specified event is applicable; false otherwise

### getAuditSpecification

    protected AuditSpecification getAuditSpecification(LibrarySession session)
                                                throws IfsException

  Description copied from class: `AuditEventDispatcher.RegisteredAuditSpecification`
  Get the AuditSpecification instance represented by this.

  Parameters:
    `session` - the posted audit event
  Returns:
    the AuditSpecification instance
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD